/*---------------------------------------------------------------------*/
/* --- STC MCU Limited ------------------------------------------------*/
/* --- STC 1T Series MCU Demo Programme -------------------------------*/
/* --- Mobile: (86)13922805190 ----------------------------------------*/
/* --- Fax: 86-0513-55012956,55012947,55012969 ------------------------*/
/* --- Tel: 86-0513-55012928,55012929,55012966 ------------------------*/
/* --- Web: www.STCMCU.com --------------------------------------------*/
/* --- Web: www.STCMCUDATA.com  ---------------------------------------*/
/* --- QQ:  800003751 -------------------------------------------------*/
/* Ҫڳʹô˴,ڳעʹSTCϼ            */
/*---------------------------------------------------------------------*/

#ifndef	__LCM_H
#define	__LCM_H

#include	"config.h"

//========================================================================
//                              λ
//========================================================================

sbit LCD_RS = P4^1;      ///л
sbit LCD_WR = P3^6;      //д
sbit LCD_RD = P3^7;      //
sbit LCD_CS = P3^4;      //Ƭѡ
sbit LCD_RESET = P3^5;   //λ

//========================================================================
//                              
//========================================================================

#define LCM_WRITE_CMD()					{EAXSFR(); LCMIFCR = ((LCMIFCR & ~0x07) | 0x84); EAXRAM();}
#define LCM_WRITE_DAT()					{EAXSFR(); LCMIFCR = ((LCMIFCR & ~0x07) | 0x85); EAXRAM();}
#define LCM_READ_CMD()					{EAXSFR(); LCMIFCR = ((LCMIFCR & ~0x07) | 0x86); EAXRAM();}
#define LCM_READ_DAT()					{EAXSFR(); LCMIFCR = ((LCMIFCR & ~0x07) | 0x87); EAXRAM();}

#define SET_LCM_DAT_LOW(n)			{EAXSFR(); LCMIFDATL = (n); EAXRAM();}
#define SET_LCM_DAT_HIGH(n)			{EAXSFR(); LCMIFDATH = (n); EAXRAM();}

//========================================================================
//                              
//========================================================================

#define	MODE_I8080			0	//I8080ģʽ
#define	MODE_M6800			1	//M6800ģʽ

#define	BIT_WIDE_8			0	//8λݿ
#define	BIT_WIDE_16			2	//16λݿ

//========================================================================
//                              
//========================================================================

typedef struct
{
	u8	LCM_Enable;					//LCMӿʹ  	ENABLE,DISABLE
	u8	LCM_Mode;						//LCMӿģʽ  	MODE_I8080,MODE_M6800
	u8	LCM_Bit_Wide;				//LCMݿ  	BIT_WIDE_8,BIT_WIDE_16
	u8	LCM_Setup_Time;			//LCMͨݽʱ  	0~7
	u8	LCM_Hold_Time;			//LCMͨݱʱ  	0~3
} LCM_InitTypeDef;


//========================================================================
//                              ⲿ
//========================================================================

void LCM_Inilize(LCM_InitTypeDef *LCM);

#endif
